=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2009-07-02 21:17:35 +0000
+++ bzrlib/tests/__init__.py	2009-07-10 05:49:34 +0000
@@ -3333,7 +3333,7 @@
     testmod_names = [
                    'bzrlib.doc',
                    'bzrlib.tests.blackbox',
-                   'bzrlib.tests.branch_implementations',
+                   'bzrlib.tests.per_branch',
                    'bzrlib.tests.bzrdir_implementations',
                    'bzrlib.tests.commands',
                    'bzrlib.tests.interrepository_implementations',

=== modified file 'bzrlib/tests/bzrdir_implementations/__init__.py'
--- bzrlib/tests/bzrdir_implementations/__init__.py	2009-04-03 14:24:40 +0000
+++ bzrlib/tests/bzrdir_implementations/__init__.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
 
 These test the conformance of all the bzrdir variations to the expected API.
 Specific tests for individual formats are in the tests/test_bzrdir.py file
-rather than in tests/branch_implementations/*.py.
+rather than in tests/per_branch/*.py.
 """
 
 from bzrlib.bzrdir import BzrDirFormat

=== renamed directory 'bzrlib/tests/branch_implementations' => 'bzrlib/tests/per_branch'
=== modified file 'bzrlib/tests/per_branch/__init__.py'
--- bzrlib/tests/branch_implementations/__init__.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/__init__.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
 
 These test the conformance of all the branch variations to the expected API.
 Specific tests for individual formats are in the tests/test_branch file
-rather than in tests/branch_implementations/*.py.
+rather than in tests/per_branch/*.py.
 """
 
 from bzrlib import (
@@ -163,34 +163,34 @@
 
 
 def load_tests(standard_tests, module, loader):
-    test_branch_implementations = [
-        'bzrlib.tests.branch_implementations.test_bound_sftp',
-        'bzrlib.tests.branch_implementations.test_branch',
-        'bzrlib.tests.branch_implementations.test_break_lock',
-        'bzrlib.tests.branch_implementations.test_check',
-        'bzrlib.tests.branch_implementations.test_create_checkout',
-        'bzrlib.tests.branch_implementations.test_create_clone',
-        'bzrlib.tests.branch_implementations.test_commit',
-        'bzrlib.tests.branch_implementations.test_dotted_revno_to_revision_id',
-        'bzrlib.tests.branch_implementations.test_get_revision_id_to_revno_map',
-        'bzrlib.tests.branch_implementations.test_hooks',
-        'bzrlib.tests.branch_implementations.test_http',
-        'bzrlib.tests.branch_implementations.test_iter_merge_sorted_revisions',
-        'bzrlib.tests.branch_implementations.test_last_revision_info',
-        'bzrlib.tests.branch_implementations.test_locking',
-        'bzrlib.tests.branch_implementations.test_parent',
-        'bzrlib.tests.branch_implementations.test_permissions',
-        'bzrlib.tests.branch_implementations.test_pull',
-        'bzrlib.tests.branch_implementations.test_push',
-        'bzrlib.tests.branch_implementations.test_reconcile',
-        'bzrlib.tests.branch_implementations.test_revision_history',
-        'bzrlib.tests.branch_implementations.test_revision_id_to_dotted_revno',
-        'bzrlib.tests.branch_implementations.test_revision_id_to_revno',
-        'bzrlib.tests.branch_implementations.test_sprout',
-        'bzrlib.tests.branch_implementations.test_stacking',
-        'bzrlib.tests.branch_implementations.test_tags',
-        'bzrlib.tests.branch_implementations.test_uncommit',
-        'bzrlib.tests.branch_implementations.test_update',
+    test_per_branch = [
+        'bzrlib.tests.per_branch.test_bound_sftp',
+        'bzrlib.tests.per_branch.test_branch',
+        'bzrlib.tests.per_branch.test_break_lock',
+        'bzrlib.tests.per_branch.test_check',
+        'bzrlib.tests.per_branch.test_create_checkout',
+        'bzrlib.tests.per_branch.test_create_clone',
+        'bzrlib.tests.per_branch.test_commit',
+        'bzrlib.tests.per_branch.test_dotted_revno_to_revision_id',
+        'bzrlib.tests.per_branch.test_get_revision_id_to_revno_map',
+        'bzrlib.tests.per_branch.test_hooks',
+        'bzrlib.tests.per_branch.test_http',
+        'bzrlib.tests.per_branch.test_iter_merge_sorted_revisions',
+        'bzrlib.tests.per_branch.test_last_revision_info',
+        'bzrlib.tests.per_branch.test_locking',
+        'bzrlib.tests.per_branch.test_parent',
+        'bzrlib.tests.per_branch.test_permissions',
+        'bzrlib.tests.per_branch.test_pull',
+        'bzrlib.tests.per_branch.test_push',
+        'bzrlib.tests.per_branch.test_reconcile',
+        'bzrlib.tests.per_branch.test_revision_history',
+        'bzrlib.tests.per_branch.test_revision_id_to_dotted_revno',
+        'bzrlib.tests.per_branch.test_revision_id_to_revno',
+        'bzrlib.tests.per_branch.test_sprout',
+        'bzrlib.tests.per_branch.test_stacking',
+        'bzrlib.tests.per_branch.test_tags',
+        'bzrlib.tests.per_branch.test_uncommit',
+        'bzrlib.tests.per_branch.test_update',
         ]
-    sub_tests = loader.loadTestsFromModuleNames(test_branch_implementations)
+    sub_tests = loader.loadTestsFromModuleNames(test_per_branch)
     return tests.multiply_tests(sub_tests, branch_scenarios(), standard_tests)

=== modified file 'bzrlib/tests/per_branch/test_branch.py'
--- bzrlib/tests/branch_implementations/test_branch.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_branch/test_branch.py	2009-07-10 05:49:34 +0000
@@ -43,7 +43,7 @@
 import bzrlib.revision
 from bzrlib.symbol_versioning import deprecated_in
 from bzrlib.tests import TestCase, TestCaseWithTransport, TestSkipped
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 from bzrlib.tests.http_server import HttpServer
 from bzrlib.trace import mutter
 from bzrlib.transport import get_transport

=== modified file 'bzrlib/tests/per_branch/test_break_lock.py'
--- bzrlib/tests/branch_implementations/test_break_lock.py	2009-04-04 02:50:01 +0000
+++ bzrlib/tests/per_branch/test_break_lock.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
 import bzrlib
 import bzrlib.errors as errors
 from bzrlib.tests import TestCase, TestCaseWithTransport, TestNotApplicable
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestBreakLock(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_check.py'
--- bzrlib/tests/branch_implementations/test_check.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_branch/test_check.py	2009-07-10 05:49:34 +0000
@@ -17,7 +17,7 @@
 """Tests for branch implementations - test check() functionality"""
 
 from bzrlib import errors
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestBranchCheck(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_commit.py'
--- bzrlib/tests/branch_implementations/test_commit.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_commit.py	2009-07-10 05:49:34 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib.branch import Branch
 from bzrlib import errors
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 from bzrlib.revision import NULL_REVISION
 from bzrlib.transport import get_transport
 from bzrlib.delta import TreeDelta

=== modified file 'bzrlib/tests/per_branch/test_create_checkout.py'
--- bzrlib/tests/branch_implementations/test_create_checkout.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_create_checkout.py	2009-07-10 05:49:34 +0000
@@ -20,7 +20,7 @@
     branch,
     )
 from bzrlib.remote import RemoteBranch
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestCreateCheckout(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_create_clone.py'
--- bzrlib/tests/branch_implementations/test_create_clone.py	2009-04-27 03:27:46 +0000
+++ bzrlib/tests/per_branch/test_create_clone.py	2009-07-10 05:49:34 +0000
@@ -20,7 +20,7 @@
 from bzrlib import errors
 from bzrlib import remote
 from bzrlib import tests
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestCreateClone(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_dotted_revno_to_revision_id.py'
--- bzrlib/tests/branch_implementations/test_dotted_revno_to_revision_id.py	2009-06-16 08:06:58 +0000
+++ bzrlib/tests/per_branch/test_dotted_revno_to_revision_id.py	2009-07-10 05:49:34 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib import errors
 
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestDottedRevnoToRevisionId(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_get_revision_id_to_revno_map.py'
--- bzrlib/tests/branch_implementations/test_get_revision_id_to_revno_map.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_get_revision_id_to_revno_map.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
     revision,
     )
 
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestRevisionIdToDottedRevno(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_http.py'
--- bzrlib/tests/branch_implementations/test_http.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_http.py	2009-07-10 05:49:34 +0000
@@ -19,7 +19,7 @@
 import os
 
 from bzrlib import branch, errors
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 from bzrlib.tests.http_server import HttpServer
 from bzrlib.transport.local import LocalURLServer
 from bzrlib.transport.chroot import TestingChrootServer

=== modified file 'bzrlib/tests/per_branch/test_iter_merge_sorted_revisions.py'
--- bzrlib/tests/branch_implementations/test_iter_merge_sorted_revisions.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_iter_merge_sorted_revisions.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
     revision,
     )
 
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestIterMergeSortedRevisions(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_locking.py'
--- bzrlib/tests/branch_implementations/test_locking.py	2009-05-11 10:37:57 +0000
+++ bzrlib/tests/per_branch/test_locking.py	2009-07-10 05:49:34 +0000
@@ -20,7 +20,7 @@
 from bzrlib.branch import BzrBranchFormat4
 from bzrlib.bzrdir import RemoteBzrDirFormat
 from bzrlib.tests import TestSkipped
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 from bzrlib.tests.lock_helpers import TestPreventLocking, LockWrapper
 
 

=== modified file 'bzrlib/tests/per_branch/test_pull.py'
--- bzrlib/tests/branch_implementations/test_pull.py	2009-05-07 05:08:46 +0000
+++ bzrlib/tests/per_branch/test_pull.py	2009-07-10 05:49:34 +0000
@@ -23,7 +23,7 @@
 from bzrlib import errors
 from bzrlib.memorytree import MemoryTree
 from bzrlib.revision import NULL_REVISION
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestPull(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_push.py'
--- bzrlib/tests/branch_implementations/test_push.py	2009-06-17 08:08:36 +0000
+++ bzrlib/tests/per_branch/test_push.py	2009-07-10 05:49:34 +0000
@@ -35,7 +35,7 @@
 from bzrlib.revision import NULL_REVISION
 from bzrlib.smart import client, server
 from bzrlib.smart.repository import SmartServerRepositoryGetParentMap
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 from bzrlib.transport import get_transport
 from bzrlib.transport.local import LocalURLServer
 

=== modified file 'bzrlib/tests/per_branch/test_reconcile.py'
--- bzrlib/tests/branch_implementations/test_reconcile.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_branch/test_reconcile.py	2009-07-10 05:49:34 +0000
@@ -17,7 +17,7 @@
 """Tests for branch implementations - test reconcile() functionality"""
 
 from bzrlib import errors, reconcile
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestBranchReconcile(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_revision_history.py'
--- bzrlib/tests/branch_implementations/test_revision_history.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_revision_history.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
     errors,
     revision as _mod_revision,
     )
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestLastRevision(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_revision_id_to_dotted_revno.py'
--- bzrlib/tests/branch_implementations/test_revision_id_to_dotted_revno.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_revision_id_to_dotted_revno.py	2009-07-10 05:49:34 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib import errors
 
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestRevisionIdToDottedRevno(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_revision_id_to_revno.py'
--- bzrlib/tests/branch_implementations/test_revision_id_to_revno.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_revision_id_to_revno.py	2009-07-10 05:49:34 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib import errors
 
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestRevisionIdToRevno(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_sprout.py'
--- bzrlib/tests/branch_implementations/test_sprout.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_branch/test_sprout.py	2009-07-10 05:49:34 +0000
@@ -25,7 +25,7 @@
     revision as _mod_revision,
     tests,
     )
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestSprout(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_stacking.py'
--- bzrlib/tests/branch_implementations/test_stacking.py	2009-06-19 00:33:36 +0000
+++ bzrlib/tests/per_branch/test_stacking.py	2009-07-10 05:49:34 +0000
@@ -24,7 +24,7 @@
 from bzrlib.revision import NULL_REVISION
 from bzrlib.smart import server
 from bzrlib.tests import TestNotApplicable, KnownFailure, transport_util
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 from bzrlib.transport import get_transport
 
 

=== modified file 'bzrlib/tests/per_branch/test_tags.py'
--- bzrlib/tests/branch_implementations/test_tags.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_tags.py	2009-07-10 05:49:34 +0000
@@ -31,7 +31,7 @@
 from bzrlib.trace import mutter
 from bzrlib.workingtree import WorkingTree
 
-from bzrlib.tests.branch_implementations.test_branch \
+from bzrlib.tests.per_branch.test_branch \
         import TestCaseWithBranch
 
 

=== modified file 'bzrlib/tests/per_branch/test_uncommit.py'
--- bzrlib/tests/branch_implementations/test_uncommit.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_uncommit.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
 
 from bzrlib.branch import Branch
 from bzrlib import errors
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 from bzrlib.uncommit import uncommit
 
 

=== modified file 'bzrlib/tests/per_branch/test_update.py'
--- bzrlib/tests/branch_implementations/test_update.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_update.py	2009-07-10 05:49:34 +0000
@@ -19,7 +19,7 @@
     errors,
     revision as _mod_revision,
     )
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 """Tests for branch.update()"""

=== modified file 'bzrlib/tests/per_interbranch/test_pull.py'
--- bzrlib/tests/per_interbranch/test_pull.py	2009-05-06 16:15:32 +0000
+++ bzrlib/tests/per_interbranch/test_pull.py	2009-07-10 05:49:34 +0000
@@ -27,7 +27,7 @@
 
 
 # The tests here are based on the tests in 
-# bzrlib.tests.branch_implementations.test_pull
+# bzrlib.tests.per_branch.test_pull
 
 
 class TestPull(TestCaseWithInterBranch):

=== modified file 'bzrlib/tests/per_interbranch/test_push.py'
--- bzrlib/tests/per_interbranch/test_push.py	2009-05-05 12:54:51 +0000
+++ bzrlib/tests/per_interbranch/test_push.py	2009-07-10 05:49:34 +0000
@@ -43,7 +43,7 @@
 
 
 # These tests are based on similar tests in 
-# bzrlib.tests.branch_implementations.test_push.
+# bzrlib.tests.per_branch.test_push.
 
 
 class TestPush(TestCaseWithInterBranch):

=== modified file 'bzrlib/tests/per_repository/__init__.py'
--- bzrlib/tests/per_repository/__init__.py	2009-03-30 11:49:32 +0000
+++ bzrlib/tests/per_repository/__init__.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
 
 These test the conformance of all the repository variations to the expected API.
 Specific tests for individual formats are in the tests/test_repository.py file
-rather than in tests/branch_implementations/*.py.
+rather than in tests/per_branch/*.py.
 """
 
 from bzrlib import (

=== modified file 'bzrlib/tests/test_branch.py'
--- bzrlib/tests/test_branch.py	2009-04-23 16:02:28 +0000
+++ bzrlib/tests/test_branch.py	2009-07-10 05:49:34 +0000
@@ -16,7 +16,7 @@
 
 """Tests for the Branch facility that are not interface  tests.
 
-For interface tests see tests/branch_implementations/*.py.
+For interface tests see tests/per_branch/*.py.
 
 For concrete class tests see this file, and for meta-branch tests
 also see this file.

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2009-07-01 15:50:51 +0000
+++ bzrlib/tests/test_selftest.py	2009-07-10 05:49:34 +0000
@@ -167,7 +167,7 @@
     def test_scenarios(self):
         # check that constructor parameters are passed through to the adapted
         # test.
-        from bzrlib.tests.branch_implementations import make_scenarios
+        from bzrlib.tests.per_branch import make_scenarios
         server1 = "a"
         server2 = "b"
         formats = [("c", "C"), ("d", "D")]

